import React from "react";
import styled from "styled-components";
import { px2rem } from "../../utils/getFontSize";

interface IDivider {
  margin?: number;
  color?: string;
}

const StyledDivider = styled.div<IDivider>`
  background-color: red;
  height: 1px;
  width: 100%;
  ${({ margin }) => margin && `margin: 0 ${px2rem(margin)};`}
  ${({ color }) => color && `background-color: ${color};`}
`;

export const Divider = ({ margin, color }: IDivider) => (
  <StyledDivider margin={margin} color={color} />
);
