import React from "react";
import { Container } from "../Atoms/Container";
import { UIHeader } from "../Atoms/Header";
import { UIImage } from "../Atoms/UIImage";

interface IADMenuCard {
  text: string;
  url: string;
}

export const ADMenuCard = ({ text, url }: IADMenuCard) => (
  <Container width="100%" height="250px" boxShadow>
    <UIImage width="100%" height="200px" url={url} />
    <Container alignBottom paddingLeft={12}>
      <UIHeader level={3}>{text}</UIHeader>
    </Container>
  </Container>
);