import React, { ReactNode } from "react";
import styled from "styled-components";
import { Container } from "../../Atoms/Container";
import { Copy } from "../../Atoms/Copy";
import { UIHeader } from "../../Atoms/Header";
import { Spacer } from "../../Atoms/Spacer";
import { colors } from "../../Templates/ElsaHomePage/ElsaHomePage";

interface IElsaProgrammeCard {
  text: string;
  icon: ReactNode;
  title: string;
}

const StyledElsaProgrammeCard = styled.div``;

export const ElsaProgrammeCard = ({
  text,
  title,
  icon,
}: IElsaProgrammeCard) => (
  <StyledElsaProgrammeCard>
    <Container center textAlign="center" color={colors.purple}>
      <Container>{icon}</Container>
      <Spacer height={24} />
      <UIHeader level={2} fontSize={30} color={colors.purple}>
        {title}
      </UIHeader>
      <Spacer height={12} />
      <Copy
        fontFamily="Arial, sans-serif"
        fontSize={22}
        lineHeight={28}
        color={colors.black}
      >
        {text}
      </Copy>
    </Container>
  </StyledElsaProgrammeCard>
);
